> ## Documentation Index > Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt > Use this file to discover all available pages before exploring further. # Create a Inventory Item Header > ## Overview This endpoint is used to create Inventory Item header within the CMiC system. --- ## Notes - Authentication and authorization are required. - The item code in the request is validated. If validation fails, the request may be rejected. - System-generated fields are ignored if provided in the request payload. --- ### UI Navigation **Asset Management - Inventory - Setup - Item Master** --- ## Finders Not applicable. This is a **POST (create)** endpoint and does not support finders. --- ## Path Parameters Not applicable. This endpoint does not use path parameters. --- ## Query Standards Not applicable. This endpoint does not support `finder`, `limit`, `offset`, or `orderBy`. --- ## Finders with Example Not applicable. Finders are not supported for POST operations. --- ## Attributes All attributes are listed below for completeness. Only attributes marked as **Mandatory = True** are required during creation. | CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | **Mandatory** | | --- | --- | --- | --- | --- | --- | --- | --- | | CithCompCode | ciitemhdr | CithCompCode | Company Code | String | 8 | ALT | True | | CithCompName | ciitemhdr | CithCompName | Company Name | String | 30 | Andy's Company ALT | False | | CithItemCode | ciitemhdr | CithItemCode | Item Code | String | 16 | 12 FT GRDR | True | | CithItemName | ciitemhdr | CithItemName | Item Name | String | 60 | 12 Foot Steel Girder | False | | CithItemTypeCode | ciitemhdr | CithItemTypeCode | Item Type Code | String | 2 | ST | True | | CithItemTypeName | ciitemhdr | CithItemTypeName | Item Type Name | String | 30 | Standard Item Type | False | | CithDefaultLocCode | ciitemhdr | CithDefaultLocCode | Default Location Code | String | 7 | MAIN | False | | CithDefaultLocName | ciitemhdr | CithDefaultLocName | Default Location Name | String | 60 | Main Warehouse | False | | CithCostMethCode | ciitemhdr | CithCostMethCode | Cost Method Code | String | 3 | STD | False | | CithLotCtrlFlag | ciitemhdr | CithLotCtrlFlag | Lot Ctrl Flag | String | 1 | N | False | | CithSerialFlag | ciitemhdr | CithSerialFlag | Serial Flag | String | 1 | Y | False | | CithUsageCode | ciitemhdr | CithUsageCode | Item Equipment Usage Code | String | 1 | N | False | | CithCostUpdateLevelCode | ciitemhdr | CithCostUpdateLevelCode | Cost Update Level Code | String | 1 | I | False | | CithInvAccCode | ciitemhdr | CithInvAccCode | Inventory Account Code | String | 16 | 1700.100 | False | | CithRevAccCode | ciitemhdr | CithRevAccCode | Internal Issue Revenue Account Code | String | 16 | 4000.700 | False | | CithWriAccCode | ciitemhdr | CithWriAccCode | Write Off Account Code | String | 16 | 1700.200 | False | | CithAdjAccCode | ciitemhdr | CithAdjAccCode | Adjustment Account Code | String | 16 | 1700.300 | False | | CithVarAccCode | ciitemhdr | CithVarAccCode | Variance Account Code | String | 16 | 1700.500 | False | | CithSuspAccCode | ciitemhdr | CithSuspAccCode | Suspense Account Code | String | 16 | 1700.400 | False | | CithMinOrderQty | ciitemhdr | CithMinOrderQty | Minimum Order Quantity | Number | 16/8 | 1.0 | False | | CithStdOrderQty | ciitemhdr | CithStdOrderQty | Standard Order Quantity | Number | 16/8 | 50.0 | False | | CithMaxOrderQty | ciitemhdr | CithMaxOrderQty | Maximum Order Quantity | Number | 16/8 | 1000.0 | False | | CithMinOnhandQty | ciitemhdr | CithMinOnhandQty | Minimum On Hand Quantity | Number | 16/8 | 1.0 | False | | CithMaxOnhandQty | ciitemhdr | CithMaxOnhandQty | Maximum On Hand Quantity | Number | 16/8 | 700.0 | False | | CithStdOnhandQty | ciitemhdr | CithStdOnhandQty | Standard On Hand Quantity | Number | 16/8 | 50.0 | False | | CithMarketPriceAmt | ciitemhdr | CithMarketPriceAmt | Market Price Amount | Number | 18/4 | 32.0 | False | | CithSellPriceAmt | ciitemhdr | CithSellPriceAmt | Sell Price Amount | Number | 18/4 | 35.0 | False | | CithBuybackPriceAmt | ciitemhdr | CithBuybackPriceAmt | Buyback Price Amount | Number | 18/4 | 10.0 | False | | CithRestockPriceAmt | ciitemhdr | CithRestockPriceAmt | Re-Stock Price Amount | Number | 18/4 | 30.0 | False | | CithCrtDate | ciitemhdr | CithCrtDate | Crt Date | String | N/A | 2010-05-12 00:00:00 | False | | CithCrtUserCode | ciitemhdr | CithCrtUserCode | Crt User Code | String | 30 | QA1 | False | | CithLastModifyDate | ciitemhdr | CithLastModifyDate | Last Modify Date | String | N/A | 2014-04-23 00:00:00 | False | | CithLastModifyUserCode | ciitemhdr | CithLastModifyUserCode | Last Modify User Code | String | 30 | QA3 | False | | CithDeprExpAccCode | ciitemhdr | CithDeprExpAccCode | Depreciation Expense Account Code | String | 16 | 1 | False | | CithAccumDeprAccCode | ciitemhdr | CithAccumDeprAccCode | Accumulated Depreciation Account Code | String | 16 | 1 | False | | CithTax1Code | ciitemhdr | CithTax1Code | Purchasing Tax 1 Code | String | 11 | 01 | False | | CithTax2Code | ciitemhdr | CithTax2Code | Purchasing Tax 2 Code | String | 11 | T5 | False | | CithTax3Code | ciitemhdr | CithTax3Code | Purchasing Tax 3 Code | String | 11 | T6 | False | | CithSellPriceOrPctCode | ciitemhdr | CithSellPriceOrPctCode | Issue Code | String | 1 | P | False | | CithBbPriceOrPctCode | ciitemhdr | CithBbPriceOrPctCode | Buy Back Code | String | 1 | P | False | | CithSoldAtCostAccCode | ciitemhdr | CithSoldAtCostAccCode | Cost of Goods Sold Account Code | String | 16 | 4000.701 | False | | CithSalesTax1Code | ciitemhdr | CithSalesTax1Code | Sales Tax 1 Code | String | 11 | 01 | False | | CithSalesTax2Code | ciitemhdr | CithSalesTax2Code | Sales Tax 2 Code | String | 11 | T5 | False | | CithSalesTax3Code | ciitemhdr | CithSalesTax3Code | Sales Tax 3 Code | String | 11 | T6 | False | | CithCmpFlag | ciitemhdr | CithCmpFlag | Composite Item Flag | String | 1 | N | False | | CithRtrnFlag | ciitemhdr | CithRtrnFlag | Returnable Item Flag | String | 1 | N | False | | CithPartialDasmblFlag | ciitemhdr | CithPartialDasmblFlag | Composite Item May Be Partially Disassembled Flag | String | 1 | N | False | | CithAffilRevAccCode | ciitemhdr | CithAffilRevAccCode | Affiliate Sales Revenue Account Code | String | 16 | 4000.700 | False | | CithCustRevAccCode | ciitemhdr | CithCustRevAccCode | Customer Sales Revenue Account Code | String | 16 | 4000.700 | False | | CithAllowNegQtyFlag | ciitemhdr | CithAllowNegQtyFlag | Allow negative balances | String | 1 | Y | False | | CithProdFlag | ciitemhdr | CithProdFlag | Indicates whether this Item/Type is a Production item | String | 1 | N | False | | CithEmCostComponCode | ciitemhdr | CithEmCostComponCode | Default EM component code for costing Equipment | String | 8 | PARTS | False | | CithCreditJcCatCode | ciitemhdr | CithCreditJcCatCode | Production Credit JC Category Code | String | 16 | 5000 | False | | CithCreditJcCatName | ciitemhdr | CithCreditJcCatName | Production Credit JC Category Name | String | 30 | Sundry | False | | CithInventoryItemCode | ciitemhdr | CithInventoryItemCode | Inventory Item that mapped to the Sales Product Code | String | 16 | C12 | False | | CithInventoryTypeCode | ciitemhdr | CithInventoryTypeCode | Item Type for the actual inventory item | String | 2 | 01 | False | | CithSalesProductFlag | ciitemhdr | CithSalesProductFlag | Item setup for Sales Product Code | String | 1 | N | False | | CithMsAvailableFlag | ciitemhdr | CithMsAvailableFlag | Is the Item available for MS system | String | 1 | N | False | | CithTotalAcPct | ciitemhdr | CithTotalAcPct | Total AC Percentage | Number | 18/2 | 100.0 | False | | CithAutoBuildCmpFlag | ciitemhdr | CithAutoBuildCmpFlag | Flag to indicate if system will auto assemble non-production composite item upon issue posting | String | 1 | N | False | | CithIuCreateDate | ciitemhdr | CithIuCreateDate | Initial Create Date | String | N/A | System Generated | False | | CithIuUpdateDate | ciitemhdr | CithIuUpdateDate | Last Update Date | String | N/A | System Generated | False | | CithVUuid | ciitemhdr | CithVUuid | Unique Identifier (UUID) | String | 64 | D9E443179DA35433E053508010ACE78B | False | ## OpenAPI ````json POST /ci-rest-api/rest/1/ciitemhdr { "openapi": "3.0.0", "info": { "title": "API Catalog", "description": "", "version": "1.0.0" }, "servers": [ { "url": "https://mobtest.cmiccloudr12.com/cmictestrti", "description": "CMIC API Server" } ], "security": [ { "cmicBasicAuth": [] } ], "tags": [ { "name": "Highlights" }, { "name": "Asset Management | Equipment" }, { "name": "Asset Management | Fixed Assets" }, { "name": "Asset Management | Purchase Order" }, { "name": "Asset Management | Inventory" }, { "name": "Asset Management | Requisition" }, { "name": "Asset Management | Purchase Change Order" }, { "name": "Bim Model" }, { "name": "Bim Model Revision" }, { "name": "Bim Tag Model" }, { "name": "Bim Tags" }, { "name": "Bim FileUpload Jersey" }, { "name": "Core System | Business Partners" }, { "name": "Core System | Business Partner Addresses" }, { "name": "Core System | Bank" }, { "name": "Core System | Currency" }, { "name": "Core System | Exchange Rates" }, { "name": "Core System | Global Table Text Codes" }, { "name": "Core System | Global Table Regions" }, { "name": "Core System | Terms" }, { "name": "Core System | System Contact" }, { "name": "Core System | Weight Measures" }, { "name": "Core System | Field User Defined Classifiers" }, { "name": "Core System | User Defined Classifiers by Object" }, { "name": "Core System | User Extension Definitions by Object" }, { "name": "Core System | User Extention Field Data Value" }, { "name": "Core System | User Extension Values by Object" }, { "name": "Core System | User System Role" }, { "name": "Core System | User Project Role" }, { "name": "Core System | Documents by Object" }, { "name": "Core System | Audit Status Log by Object" }, { "name": "Core System | Licensed Users" }, { "name": "Core System | Company Access" }, { "name": "Core System | Copy User Settings" }, { "name": "Core System | User Maintenance" }, { "name": "Core System | User Roles" }, { "name": "Core System | Security Groups" }, { "name": "Core System | Job/Project Security" }, { "name": "Core System | Weight Measure with Conversions Code" }, { "name": "Core System | Weight Measure Conversions Code" }, { "name": "Core System | User-defined-fields" }, { "name": "Core System | User-extension" }, { "name": "ECM and Workflow | Image Manager" }, { "name": "Financials | General Ledger" }, { "name": "Financials | Accounts Payable" }, { "name": "Financials | Accounts Receivable" }, { "name": "Preventative Maintenance | Issue Work Orders" }, { "name": "Preventative Maintenance | Issue Work Items" }, { "name": "Preventative Maintenance | Issue Work Budgets" }, { "name": "Preventative Maintenance | Issue Priorities" }, { "name": "Preventative Maintenance | Issue Status" }, { "name": "Preventative Maintenance | Issue Types" }, { "name": "Preventative Maintenance | Accumulative Equipment" }, { "name": "Preventative Maintenance | Work Orders" }, { "name": "Preventative Maintenance | Work Items" }, { "name": "Preventative Maintenance | Work Budgets" }, { "name": "Preventative Maintenance | Priorities" }, { "name": "Preventative Maintenance | Tasks" }, { "name": "HCM | UKG Pay Deductions" }, { "name": "HCM | UKG Pay Earnings" }, { "name": "HCM | UKG Pay Headers" }, { "name": "HCM | UKG Pay Taxes" }, { "name": "HCM | Payroll Geographical States" }, { "name": "HCM | Payroll Trades" }, { "name": "HCM | Payroll Union" }, { "name": "HCM | Payroll Pay Runs" }, { "name": "HCM | Payroll Pay Groups" }, { "name": "HCM | Payroll Tax" }, { "name": "HCM | Payroll Worker Compensation" }, { "name": "HCM | Payroll Work Locations" }, { "name": "HCM | Payroll Trade Pay Rates" }, { "name": "HCM | Payroll Union Pay Rates" }, { "name": "HCM | Payroll Job Pay Rates" }, { "name": "HCM | Payroll Master Benefits" }, { "name": "HCM | Payroll Master Deductions" }, { "name": "HCM | Payroll Ben/Ded/Leave Base Codes" }, { "name": "HCM | Payroll Ben/Ded Plans" }, { "name": "HCM | Payroll Ben/Ded Plan Options" }, { "name": "HCM | Payroll Company Benefits" }, { "name": "HCM | Payroll Company Deductions" }, { "name": "HCM | Payroll Vertex Geographic Locations" }, { "name": "HCM | Payroll Checks" }, { "name": "HCM | Payroll Timesheets" }, { "name": "HCM | Employee" }, { "name": "HCM | Employee (Minimum payload)" }, { "name": "HCM | Employee History" }, { "name": "HCM | Tax Exemptions" }, { "name": "HCM | Employee Tax Overrides" }, { "name": "HCM | Employee Pay Splits" }, { "name": "HCM | Employee Benefits" }, { "name": "HCM | Employee Clock In and Out" }, { "name": "HCM | Employee Deductions" }, { "name": "HCM | Employee Leaves" }, { "name": "HCM | Employee Leave History" }, { "name": "HCM | Employee Hour Types" }, { "name": "HCM | Employee Pay History" }, { "name": "HCM | Employee Work Statuses" }, { "name": "HCM | Employee Security Group" }, { "name": "HCM | Crewtime Crew" }, { "name": "HCM | Crewtime Employee Timesheet" }, { "name": "HCM | Crewtime Equipment Timesheet" }, { "name": "HCM | Crew Maintenance Activity Assignment" }, { "name": "HCM | Crew Maintenance Member Assignment" }, { "name": "HCM | Crew Maintenance Member Trade and Union Assignment" }, { "name": "HCM | Crew Maintenance Equipment Assignment" }, { "name": "HCM | Crew Maintenance Equipment Detail Assignment" }, { "name": "HCM | HR Requisitions" }, { "name": "HCM | HR Relations" }, { "name": "HCM | HR Employee Skills" }, { "name": "HCM | HR Incident" }, { "name": "HCM | HR Employee Relatives / Dependents" }, { "name": "HCM | HR Employee Positions" }, { "name": "HCM | HR Applicants" }, { "name": "HCM | HR Applications" }, { "name": "HCM | Vertex Location City" }, { "name": "HCM | HR Application History" }, { "name": "HCM | HR Dependent Benefits" }, { "name": "HCM | HR Dependent Deductions" }, { "name": "HCM | HR Employee Elected Plans" }, { "name": "HCM | HR Employee Training Certifications" }, { "name": "HCM | HR Trainings" }, { "name": "HCM | E-Timesheets" }, { "name": "HCM | System Contacts" }, { "name": "HCM | System User Payroll Security Group" }, { "name": "HCM | Payroll Timesheet Posting" }, { "name": "HCM | CrewTimesheet Posting" }, { "name": "HCM | HR Positions Master" }, { "name": "HCM | Payroll Pay Periods" }, { "name": "HCM | Payroll Rate Codes" }, { "name": "HCM | Payroll Overhead Codes and Rates" }, { "name": "HCM | Payroll Assigned Overhead to Jobs" }, { "name": "Materials Management | Material Sale Orders" }, { "name": "Materials Management | Material Sale Orders Details" }, { "name": "Materials Management | Truck Rate Detail" }, { "name": "Opportunity Management | Competitors" }, { "name": "Opportunity Management | Opportunities" }, { "name": "Opportunity Management | Revenue Details" }, { "name": "Opportunity Management | Opportunity History" }, { "name": "Opportunity Management | Organization" }, { "name": "Project Controls | Job Billing" }, { "name": "Project Controls | Job Cost" }, { "name": "Project Controls | PCI Details" }, { "name": "Project Controls | Unposted PCI Details" }, { "name": "Project Controls | PCI Headers" }, { "name": "Project Controls | Owner Change Orders" }, { "name": "Project Controls | CM Statuses" }, { "name": "Project Controls | CM Types" }, { "name": "Project Controls | CM Vendor Details" }, { "name": "Project Controls | Post PCI" }, { "name": "Project Management | Uploading Documents" }, { "name": "Project Management | Downloading Documents" }, { "name": "Project Management | Foreign Bid Item Imports" }, { "name": "Project Management | Communications" }, { "name": "Project Management | Daily Journals" }, { "name": "Project Management | Communications Types" }, { "name": "Project Management | Daily Journal Daily Work Plans" }, { "name": "Project Management | Daily Journal Field Forces" }, { "name": "Project Management | Daily Journal Labour" }, { "name": "Project Management | Daily Journal Materials" }, { "name": "Project Management | Daily Journal Owner Equipment" }, { "name": "Project Management | Daily Journal Quality Control" }, { "name": "Project Management | Daily Journal Tasks" }, { "name": "Project Management | Daily Journal Trade Equipment" }, { "name": "Project Management | Daily Journal Transactions" }, { "name": "Project Management | Daily Journal User Defined Data" }, { "name": "Project Management | Daily Journal Visitors" }, { "name": "Project Management | Daily Journal Bill Details" }, { "name": "Project Management | Field Work Directives" }, { "name": "Project Management | Contract Types" }, { "name": "Project Management | Company Contacts" }, { "name": "Project Management | Distribution BCC" }, { "name": "Project Management | Distribution CC" }, { "name": "Project Management | Field Work Directive Statuses" }, { "name": "Project Management | Issues" }, { "name": "Project Management | Key Players" }, { "name": "Project Management | Meetings" }, { "name": "Project Management | Meeting Attendees" }, { "name": "Project Management | Meeting Item Statuses" }, { "name": "Project Management | Meeting Tracks" }, { "name": "Project Management | Notes" }, { "name": "Project Management | Projects" }, { "name": "Project Management | Project Items" }, { "name": "Project Management | Project Item Phase Segment Sums" }, { "name": "Project Management | Project Partners" }, { "name": "Project Management | Notices" }, { "name": "Project Management | Notice Statuses" }, { "name": "Project Management | Owner JS Query" }, { "name": "Project Management | PCI Real Locations" }, { "name": "Project Management | Project Contacts" }, { "name": "Project Management | RFIs (Requests for Information)" }, { "name": "Project Management | RFI Statuses" }, { "name": "Project Management | Submittal Packages" }, { "name": "Project Management | Submittal Package Details" }, { "name": "Project Management | Submittal Package Status" }, { "name": "Project Management | Submittals" }, { "name": "Project Management | Submittal Status" }, { "name": "Project Management | Transmittals" }, { "name": "Project Management | Subcontract Headers" }, { "name": "Project Management | Subcontract Schedules" }, { "name": "Project Management | Subcontract Sechedule Phase Segment Sums" }, { "name": "Project Management | User Roles" }, { "name": "Project Management | Punchlists" }, { "name": "Project Management | Punchlist Details" }, { "name": "Project Management | Punchlist Statuses" }, { "name": "Project Management | Meeting Items" }, { "name": "Project Management | Self Perform Vendor" }, { "name": "Project Management | Submittal Types" }, { "name": "Project Management | Assign contact and partner to project" }, { "name": "Project Management | Subcontract Prequal" }, { "name": "Project Management | Bid Item Package" } ], "paths": { "/ci-rest-api/rest/1/ciitemhdr": { "post": { "tags": [ "Asset Management | Inventory" ], "summary": "Create a Inventory Item Header", "description": "## Overview\n\nThis endpoint is used to create Inventory Item header within the CMiC system.\n\n---\n\n## Notes\n\n- Authentication and authorization are required.\n \n- The item code in the request is validated. If validation fails, the request may be rejected.\n \n- System-generated fields are ignored if provided in the request payload.\n \n\n---\n\n### UI Navigation\n\n**Asset Management - Inventory - Setup - Item Master**\n\n---\n\n## Finders\n\nNot applicable.\n\nThis is a **POST (create)** endpoint and does not support finders.\n\n---\n\n## Path Parameters\n\nNot applicable.\n\nThis endpoint does not use path parameters.\n\n---\n\n## Query Standards\n\nNot applicable.\n\nThis endpoint does not support `finder`, `limit`, `offset`, or `orderBy`.\n\n---\n\n## Finders with Example\n\nNot applicable.\n\nFinders are not supported for POST operations.\n\n---\n\n## Attributes\n\nAll attributes are listed below for completeness.\n\nOnly attributes marked as **Mandatory = True** are required during creation.\n\n| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example | **Mandatory** |\n| --- | --- | --- | --- | --- | --- | --- | --- |\n| CithCompCode | ciitemhdr | CithCompCode | Company Code | String | 8 | ALT | True |\n| CithCompName | ciitemhdr | CithCompName | Company Name | String | 30 | Andy's Company ALT | False |\n| CithItemCode | ciitemhdr | CithItemCode | Item Code | String | 16 | 12 FT GRDR | True |\n| CithItemName | ciitemhdr | CithItemName | Item Name | String | 60 | 12 Foot Steel Girder | False |\n| CithItemTypeCode | ciitemhdr | CithItemTypeCode | Item Type Code | String | 2 | ST | True |\n| CithItemTypeName | ciitemhdr | CithItemTypeName | Item Type Name | String | 30 | Standard Item Type | False |\n| CithDefaultLocCode | ciitemhdr | CithDefaultLocCode | Default Location Code | String | 7 | MAIN | False |\n| CithDefaultLocName | ciitemhdr | CithDefaultLocName | Default Location Name | String | 60 | Main Warehouse | False |\n| CithCostMethCode | ciitemhdr | CithCostMethCode | Cost Method Code | String | 3 | STD | False |\n| CithLotCtrlFlag | ciitemhdr | CithLotCtrlFlag | Lot Ctrl Flag | String | 1 | N | False |\n| CithSerialFlag | ciitemhdr | CithSerialFlag | Serial Flag | String | 1 | Y | False |\n| CithUsageCode | ciitemhdr | CithUsageCode | Item Equipment Usage Code | String | 1 | N | False |\n| CithCostUpdateLevelCode | ciitemhdr | CithCostUpdateLevelCode | Cost Update Level Code | String | 1 | I | False |\n| CithInvAccCode | ciitemhdr | CithInvAccCode | Inventory Account Code | String | 16 | 1700.100 | False |\n| CithRevAccCode | ciitemhdr | CithRevAccCode | Internal Issue Revenue Account Code | String | 16 | 4000.700 | False |\n| CithWriAccCode | ciitemhdr | CithWriAccCode | Write Off Account Code | String | 16 | 1700.200 | False |\n| CithAdjAccCode | ciitemhdr | CithAdjAccCode | Adjustment Account Code | String | 16 | 1700.300 | False |\n| CithVarAccCode | ciitemhdr | CithVarAccCode | Variance Account Code | String | 16 | 1700.500 | False |\n| CithSuspAccCode | ciitemhdr | CithSuspAccCode | Suspense Account Code | String | 16 | 1700.400 | False |\n| CithMinOrderQty | ciitemhdr | CithMinOrderQty | Minimum Order Quantity | Number | 16/8 | 1.0 | False |\n| CithStdOrderQty | ciitemhdr | CithStdOrderQty | Standard Order Quantity | Number | 16/8 | 50.0 | False |\n| CithMaxOrderQty | ciitemhdr | CithMaxOrderQty | Maximum Order Quantity | Number | 16/8 | 1000.0 | False |\n| CithMinOnhandQty | ciitemhdr | CithMinOnhandQty | Minimum On Hand Quantity | Number | 16/8 | 1.0 | False |\n| CithMaxOnhandQty | ciitemhdr | CithMaxOnhandQty | Maximum On Hand Quantity | Number | 16/8 | 700.0 | False |\n| CithStdOnhandQty | ciitemhdr | CithStdOnhandQty | Standard On Hand Quantity | Number | 16/8 | 50.0 | False |\n| CithMarketPriceAmt | ciitemhdr | CithMarketPriceAmt | Market Price Amount | Number | 18/4 | 32.0 | False |\n| CithSellPriceAmt | ciitemhdr | CithSellPriceAmt | Sell Price Amount | Number | 18/4 | 35.0 | False |\n| CithBuybackPriceAmt | ciitemhdr | CithBuybackPriceAmt | Buyback Price Amount | Number | 18/4 | 10.0 | False |\n| CithRestockPriceAmt | ciitemhdr | CithRestockPriceAmt | Re-Stock Price Amount | Number | 18/4 | 30.0 | False |\n| CithCrtDate | ciitemhdr | CithCrtDate | Crt Date | String | N/A | 2010-05-12 00:00:00 | False |\n| CithCrtUserCode | ciitemhdr | CithCrtUserCode | Crt User Code | String | 30 | QA1 | False |\n| CithLastModifyDate | ciitemhdr | CithLastModifyDate | Last Modify Date | String | N/A | 2014-04-23 00:00:00 | False |\n| CithLastModifyUserCode | ciitemhdr | CithLastModifyUserCode | Last Modify User Code | String | 30 | QA3 | False |\n| CithDeprExpAccCode | ciitemhdr | CithDeprExpAccCode | Depreciation Expense Account Code | String | 16 | 1 | False |\n| CithAccumDeprAccCode | ciitemhdr | CithAccumDeprAccCode | Accumulated Depreciation Account Code | String | 16 | 1 | False |\n| CithTax1Code | ciitemhdr | CithTax1Code | Purchasing Tax 1 Code | String | 11 | 01 | False |\n| CithTax2Code | ciitemhdr | CithTax2Code | Purchasing Tax 2 Code | String | 11 | T5 | False |\n| CithTax3Code | ciitemhdr | CithTax3Code | Purchasing Tax 3 Code | String | 11 | T6 | False |\n| CithSellPriceOrPctCode | ciitemhdr | CithSellPriceOrPctCode | Issue Code | String | 1 | P | False |\n| CithBbPriceOrPctCode | ciitemhdr | CithBbPriceOrPctCode | Buy Back Code | String | 1 | P | False |\n| CithSoldAtCostAccCode | ciitemhdr | CithSoldAtCostAccCode | Cost of Goods Sold Account Code | String | 16 | 4000.701 | False |\n| CithSalesTax1Code | ciitemhdr | CithSalesTax1Code | Sales Tax 1 Code | String | 11 | 01 | False |\n| CithSalesTax2Code | ciitemhdr | CithSalesTax2Code | Sales Tax 2 Code | String | 11 | T5 | False |\n| CithSalesTax3Code | ciitemhdr | CithSalesTax3Code | Sales Tax 3 Code | String | 11 | T6 | False |\n| CithCmpFlag | ciitemhdr | CithCmpFlag | Composite Item Flag | String | 1 | N | False |\n| CithRtrnFlag | ciitemhdr | CithRtrnFlag | Returnable Item Flag | String | 1 | N | False |\n| CithPartialDasmblFlag | ciitemhdr | CithPartialDasmblFlag | Composite Item May Be Partially Disassembled Flag | String | 1 | N | False |\n| CithAffilRevAccCode | ciitemhdr | CithAffilRevAccCode | Affiliate Sales Revenue Account Code | String | 16 | 4000.700 | False |\n| CithCustRevAccCode | ciitemhdr | CithCustRevAccCode | Customer Sales Revenue Account Code | String | 16 | 4000.700 | False |\n| CithAllowNegQtyFlag | ciitemhdr | CithAllowNegQtyFlag | Allow negative balances | String | 1 | Y | False |\n| CithProdFlag | ciitemhdr | CithProdFlag | Indicates whether this Item/Type is a Production item | String | 1 | N | False |\n| CithEmCostComponCode | ciitemhdr | CithEmCostComponCode | Default EM component code for costing Equipment | String | 8 | PARTS | False |\n| CithCreditJcCatCode | ciitemhdr | CithCreditJcCatCode | Production Credit JC Category Code | String | 16 | 5000 | False |\n| CithCreditJcCatName | ciitemhdr | CithCreditJcCatName | Production Credit JC Category Name | String | 30 | Sundry | False |\n| CithInventoryItemCode | ciitemhdr | CithInventoryItemCode | Inventory Item that mapped to the Sales Product Code | String | 16 | C12 | False |\n| CithInventoryTypeCode | ciitemhdr | CithInventoryTypeCode | Item Type for the actual inventory item | String | 2 | 01 | False |\n| CithSalesProductFlag | ciitemhdr | CithSalesProductFlag | Item setup for Sales Product Code | String | 1 | N | False |\n| CithMsAvailableFlag | ciitemhdr | CithMsAvailableFlag | Is the Item available for MS system | String | 1 | N | False |\n| CithTotalAcPct | ciitemhdr | CithTotalAcPct | Total AC Percentage | Number | 18/2 | 100.0 | False |\n| CithAutoBuildCmpFlag | ciitemhdr | CithAutoBuildCmpFlag | Flag to indicate if system will auto assemble non-production composite item upon issue posting | String | 1 | N | False |\n| CithIuCreateDate | ciitemhdr | CithIuCreateDate | Initial Create Date | String | N/A | System Generated | False |\n| CithIuUpdateDate | ciitemhdr | CithIuUpdateDate | Last Update Date | String | N/A | System Generated | False |\n| CithVUuid | ciitemhdr | CithVUuid | Unique Identifier (UUID) | String | 64 | D9E443179DA35433E053508010ACE78B | False |", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "example": { "CithCompCode": "ZZ", "CithItemCode": "TTHAMMER", "CithItemTypeCode": "1" } } } } }, "parameters": [ { "name": "Content-Type", "in": "header", "schema": { "type": "string" }, "example": "application/vnd.oracle.adf.resourceItem+json" } ], "responses": { "201": { "description": "Created", "headers": { "Content-Type": { "schema": { "type": "string", "example": "application/vnd.oracle.adf.resourceitem+json" } } }, "content": { "application/json": { "schema": { "type": "object" }, "example": { "CithCompCode": "ZZ", "CithCompName": "CMiC-ZZ Test Company Incorp", "CithItemCode": "SSHAMMER", "CithItemName": "SSHAMMER", "CithItemTypeCode": "1", "CithItemTypeName": "Standard", "CithDefaultLocCode": null, "CithDefaultLocName": null, "CithCostMethCode": "STD", "CithLotCtrlFlag": "N", "CithSerialFlag": "N", "CithUsageCode": "N", "CithCostUpdateLevelCode": "I", "CithInvAccCode": "1700.100", "CithRevAccCode": "4000.700", "CithWriAccCode": "1700.200", "CithAdjAccCode": "1700.300", "CithVarAccCode": "1700.500", "CithSuspAccCode": "1700.400", "CithMinOrderQty": 5, "CithStdOrderQty": 5, "CithMaxOrderQty": 5, "CithMinOnhandQty": 5, "CithMaxOnhandQty": 5, "CithStdOnhandQty": 5, "CithMarketPriceAmt": null, "CithSellPriceAmt": 50, "CithBuybackPriceAmt": 50, "CithRestockPriceAmt": null, "CithCrtDate": "2026-06-09T15:43:32+00:00", "CithCrtUserCode": "BAVYAN", "CithLastModifyDate": null, "CithLastModifyUserCode": null, "CithDeprExpAccCode": null, "CithAccumDeprAccCode": null, "CithTax1Code": null, "CithTax2Code": null, "CithTax3Code": null, "CithSellPriceOrPctCode": "P", "CithBbPriceOrPctCode": "P", "CithSoldAtCostAccCode": "GS-0902", "CithSalesTax1Code": null, "CithSalesTax2Code": null, "CithSalesTax3Code": null, "CithCmpFlag": "N", "CithRtrnFlag": "Y", "CithPartialDasmblFlag": "N", "CithAffilRevAccCode": "4000.700", "CithCustRevAccCode": "4000.700", "CithAllowNegQtyFlag": "Y", "CithProdFlag": "N", "CithEmCostComponCode": null, "CithCreditJcCatCode": null, "CithCreditJcCatName": null, "CithInventoryItemCode": null, "CithInventoryTypeCode": null, "CithSalesProductFlag": "N", "CithMsAvailableFlag": "N", "CithTotalAcPct": null, "CithAutoBuildCmpFlag": "N", "CithIuCreateDate": "2026-06-09T15:43:32+00:00", "CithIuUpdateDate": null, "CithVUuid": "53D4E53C97777658E0630B811DAC4B07", "links": [ { "rel": "self", "href": "http://127.0.0.1:7101/ci-rest-api/rest/1/ciitemhdr/53D4E53C97777658E0630B811DAC4B07", "name": "ciitemhdr", "kind": "item" }, { "rel": "canonical", "href": "http://127.0.0.1:7101/ci-rest-api/rest/1/ciitemhdr/53D4E53C97777658E0630B811DAC4B07", "name": "ciitemhdr", "kind": "item" } ] } } } } } } } }, "components": { "securitySchemes": { "cmicBasicAuth": { "type": "http", "scheme": "basic", "description": "Basic authentication" } } } } ````